[RESOLVIDO] ERRO ao atualizar "AppimageLauncher" (KDE neon)

Olá galera. Esse erro chato está ocorrendo mais ou menos a 3 dias. Quem puder me ajudar agradeceria.

OBS: só tenho um aplicativo appimage é o Etcher.

Erro

1 Curtida

Remove o appimagelauncher e instala novamente.

sudo apt remove appimagelauncher
sudo apt update
sudo apt install appimagelauncher

Você está usando uma Distro Ubuntu ou baseado nele, então você está usando o KDE Neon? Qual a versão dele?
Dá o comando lsb_release -a e manda o resultado aqui.

Eu rodei o comando sudo “apt remove appimagelauncher” e deu esse errro.
dpkg: erro ao processar o pacote appimagelauncher (–remove):
** O pacote está num estado de inconsistência muito mau; deve**
** reinstalá-lo antes de tentar a remoção.**

1 Curtida

Veja! Erro%201

1 Curtida

Tenta isso então:

sudo apt-get update
sudo apt-get install --reinstall appimagelauncher

Ou pode tentar isso:

sudo apt-get -m --force-yes purge appimagelauncher
sudo apt-get -f install
sudo apt-get update
sudo apt-get install appimagelauncher

Se mesmo assim não for:

sudo apt  -y install aptitude
sudo aptitude update
sudo aptitude upgrade

Esse erro não é relacionado aos AppImages isso é um problema de empacotamento nmdo appimage-launcher

Nenhum desses comandos resolveu. Fica dando o mesmo erro.

Tenta com o apt remove --purge appimagelauncher

Dá o mesmo erro, infelizmente.

Já tentou usar o aptitude? Ele tenta te dar soluções de como resolver, se for viável responde sim, se não, responde não.
Presta atenção na solução pra ver se ele não tenta remover algo que não pode.
O erro aí é por causa do arquivo de pré remover o aplicativo, tem algum comando que o sistema não tá reconhecendo e então não faz nada por segurança. Ou o script tá mau configurado.

Tenta achar o arquivo e visualize o conteúdo dele e posta o conteúdo aqui pra gente ver

tenta sudo mv /var/lib/dpkg/info/appimagelauncher.* /tmp/
sudo dpkg --remove --force-remove-reinstreq appimagelauncher
sudo apt-get remove appimagelauncher
sudo apt-get autoremove && sudo apt-get autoclean

5 Curtidas

VejA!
Erro%202

1 Curtida

Como você instalou o pacote? Via apt ou baixou e instalou?
Se baixou e instalou, ainda tem o pacote?

Tenta fazer o comando desta forma:

sudo dpkg -r --force-all appimagelauncher

Dá também o comando pra mostrar qual sua Distro, fica difícil ajudar sem saber:

lsb_release -a

Ps.: Por acaso este post é seu:

https://www.vivaolinux.com.br/topico/UbuntuBR/Appimagelauncher-travou-meu-apt-get

???

Pelo que eu ví no google, parece que o pacote que você está tentando instalar é mais antigo, mas dá pra usar o comando dpkg que mencionei para remover o pacote instalado, para instalar:

sudo dpkg -i --force-all appimagelauncher_1.2.2+dfsg-1+18.04+bionic+build3_amd64.deb

Esta página do KDE tem o link do pacote mais atualizado:

Link de releases, direto:

This worked for me (sudo apt install dpkg-dev ) :::: https://www.kubuntuforums.net/showthread.php/75883-Discover-update-fails-for-apt-related-files-says-there-is-no-script-in-the

Resultado.
Erro%203

Neon

Não foi eu que postou no vivaolinux, mas é o mesmo caso.

Não é possivel desintalar nem pela loja Discover.